%define module	HTML-FillInForm
%define version 0.23
%define release 1mdk

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel perl-CGI perl-HTML-Parser
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl >= 5.601
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

# call spec-helper before creating the file list
s=/usr/share/spec-helper/spec-helper ; [ -x $s ] && $s

find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{module}-%{version}-filelist

%files -f %{module}-%{version}-filelist
%defattr(-,root,root)
%doc Changes MANIFEST README

%changelog
* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.23-1mdk
- 0.23
- Update perl version in requires.

* Tue Nov  6 2001 Stefan van der Eijk <stefan@eijk.nu> 0.21-2mdk
- BuildRequires: perl-CGI perl-HTML-Parser

* Mon Nov 05 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.21-1mdk
- First RPM
